POST
When you can’t determine the https://api.poixe.com/v1/recoveries/lookuprequest_id, you can submit the original request JSON from that time (without any extra fields) to this endpoint, and the system returns a list of candidate stored records that may match.
After you get a request_id from the candidate list, use Get details to retrieve the full stored content.
Authentication and request headers
Every API request must include your API key in the HTTP headers.string
required
Bearer token. The format is
Bearer YOUR_API_KEY.string
required
Must be set to
application/json.Request body
The request body must be valid JSON and should match the JSON originally sent in the upstream request as closely as possible (field order does not need to match).object
required
The original request JSON. For example:
{"model":"gpt-4o-mini","messages":[...],"stream":false}.Response structure
object[]
The list of candidate stored records (response bodies are not returned).
lookup generates a
request_body_hash for the request body you submit and matches on it: the system parses the request body into a JSON object, outputs stable JSON with the object keys sorted, computes a sha256, and finally takes the first 8 bytes (16 hex characters) as the hash.It is therefore insensitive to these changes: JSON formatting differences (spaces, indentation, line breaks) and different object field order.But it is highly sensitive to these changes (which alter the hash): any change in a field value, added or missing fields, and changes in array order (arrays are ordered and are not sorted). For example, an extra space in messages or a slight difference in content will change the hash.